<div class="toolbar">

  <button class="icon-button" mat-icon-button (click)="sidenavToggle()">
    <fa-icon *ngIf="!sidenavOpen" icon="bars"></fa-icon>
    <fa-icon *ngIf="sidenavOpen" icon="times"></fa-icon>
  </button>

  <button mat-icon-button 
    class="language-selection icon-button"
    (click)="languageToggle()">
    {{(language$ | async) | uppercase}}
    <mat-radio-group 
      [ngModel]="language$ | async"
      (change)="languageSelection($event)"
      [ngClass]="languageOpen ? 'show' : 'hide'"
      class="radio-button--no-wrapper">
      <mat-radio-button 
        color="accent" 
        class="radio-button--no"
        *ngFor="let lang of languages" 
        [value]="lang">
        {{ lang | uppercase }}
      </mat-radio-button>
    </mat-radio-group>
  </button>

  <button mat-icon-button 
    class="theme-selection icon-button"
    (click)="themeToggle()">
    <fa-icon icon="cog"></fa-icon>
    <mat-radio-group
      [ngModel]="theme$ | async"
      (change)="themeSelection($event)"
      [ngClass]="themeOpen ? 'show' : 'hide'"
      class="radio-button--no-wrapper">
      <mat-radio-button 
        color="accent" 
        class="radio-button--no"
        value="night-theme">
        <fa-icon [icon]="['fas', 'lightbulb']"></fa-icon>
      </mat-radio-button>
      <mat-radio-button 
        color="accent" 
        class="radio-button--no"
        value="day-theme">
        <fa-icon [icon]="['far', 'lightbulb']"></fa-icon>
      </mat-radio-button>
      <mat-radio-button 
        color="accent" 
        class="radio-button--no"
        value="schedule">
        <fa-icon [icon]="['fas', 'clock']"></fa-icon>
      </mat-radio-button>
    </mat-radio-group>

  </button>
  
</div>

